Get the Tailscale token for a sandbox.
curl --request GET \
--url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.getTailscaleAuthKey \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.getTailscaleAuthKey"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.getTailscaleAuthKey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"authKey": "<string>",
"redacted": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}SSH & Tailscale
Get Tailscale Auth Key
GET
/
io.pocketenv.sandbox.getTailscaleAuthKey
Get the Tailscale token for a sandbox.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The sandbox ID.
Response
OK
Unique identifier of the Tailscale Auth Key.
The Tailscale auth key (redacted in API responses)
The redacted Auth Key.
The timestamp when the Tailscale Auth Key was created.
The timestamp when the Tailscale Auth Key was last updated.
Was this page helpful?
⌘I
